# $Revision: 1.6 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-DebugShell
Summary:	POE::Component::DebugShell - interactive peeking into a running POE application
Summary(pl.UTF-8):	POE::Component::DebugShell - interaktywne podglądanie działających aplikacji POE
Name:		perl-POE-Component-DebugShell
Version:	1.0411
Release:	1
License:	MIT-like (see LICENSE)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	68aa0496f6ded9e221100c22351a05e5
URL:		http://poe.perl.org/
BuildRequires:	perl-POE
BuildRequires:	perl-POE-API-Peek
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This component allows for interactive peeking into a running POE
application.

%description -l pl.UTF-8
Ten komponent umożliwia interaktywne podglądanie działających
aplikacji POE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE
%{perl_vendorlib}/POE/Component/DebugShell.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-DebugShell.spec,v $
Revision 1.6  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.4  2006/10/27 22:05:03  ankry
- rel. 1

Revision 1.3  2005/08/27 07:48:55  qboosh
- descs, md5

Revision 1.2  2005/08/24 10:47:55  agaran
- missing buildreq

Revision 1.1  2005/08/24 10:39:57  agaran
- initial, for me works rel 0.1
